// Copyright (C) 2009-2012, Software Development Laboratories, "Fish" (David B. Trout)
//////////////////////////////////////////////////////////////////////////////////////////
//	appname.h  --  defines the main product's application name  (see note below!)
//////////////////////////////////////////////////////////////////////////////////////////
//
//  Change History:
//
//  08/07/09    1.0.0   Fish    Created.
//
//////////////////////////////////////////////////////////////////////////////////////////

#pragma once

///////////////////////////////////////////////////////////////////////////////////////
//
//                        ************************
//                        **  PROGRAMMING NOTE  **
//                        ************************
//
//  Our product comes in two pieces: the main application executable as well
//  as associated message hooking dll, each setup as their own VC++ project.
//
//  Because the message hooking DLL serves no purpose by itself (i.e. it exists
//  only as a separate 'piece' of the main product), it would be appropriate to
//  indicate that association in the DLL's resource information via a "Comment"
//  identifying the main product it was written for and thus "dependent" upon.
//
//  Unfortunately there is no way for a Solution sub-Project to gain access to
//  another of the solution's "TARGETFILENAME" property (the only TARGETFILENAME
//  available to us is our own).
//
//  Thus even though I *hate* unnecessarily hard-coding ANYTHING in my products
//  in this particular case I see no other alternative.
//
//  THEREFORE:
//
//   -------------------------------------------------------------------------
//    IF YOU CHANGE THE NAME OF THE "TRAYME" VC++ PROJECT OR OTHERWISE CHANGE
//    ITS OUTPUT EXECUTABLE FILENAME (I.E. ITS "TARGETFILENAME"), THEN PLEASE
//    CHANGE THE BELOW VALUE TO MATCH! THANK YOU!
//   -------------------------------------------------------------------------
//
///////////////////////////////////////////////////////////////////////////////////////

#ifdef   _WIN64

  #define  APPNAME          "TrayMe64"          // (main product application name)
  #define  DLLNAME          "TrayMeDLL64.dll"   // (name of our hooking DLL)
  #define  HOOKFUNCNAME     "DoHook"            // (set windows hooks function name)
  #define  UNHOOKFUNCNAME   "DoUnHook"          // (unset windows hooks function name)

#else // _WIN32

  #define  APPNAME          "TrayMe"            // (main product application name)
  #define  DLLNAME          "TrayMeDLL.dll"     // (name of our hooking DLL)
  #define  HOOKFUNCNAME     "DoHook"            // (set windows hooks function name)
  #define  UNHOOKFUNCNAME   "DoUnHook"          // (unset windows hooks function name)

#endif

///////////////////////////////////////////////////////////////////////////////////////
