///////////////////////////////////////////////////////////////////////////////////////
//
//  version.h  --  defines the build version '#define' strings for the product
//
///////////////////////////////////////////////////////////////////////////////////////

#pragma once

//////////////////////////////////
#include "..\AutoBuildCount.h"  //  (where SVNREV_STR and SVNREV_NUM are defined)
//////////////////////////////////

#define VERMAJOR_NUM  1         /* MAJOR Release (program radically changed) */
#define VERMAJOR_STR "1"

#define VERINTER_NUM  0         /* Minor Enhancements (new/modified feature, etc) */
#define VERINTER_STR "0"

#define VERMINOR_NUM  2         /* Bug Fix */
#define VERMINOR_STR "2"

///////////////////////////////////////////////////////////////////////////////////////
// Construct VERSION string consisting of above MAJOR/INTER/MINOR strings + BUILDCOUNT
///////////////////////////////////////////////////////////////////////////////////////

#ifdef _UNICODE
  #ifdef _DEBUG
    #define VER_SUFFIX      _T("-UD")
    #define VER_SUFFIX_A       "-UD"
  #else
    #define VER_SUFFIX      _T("-U")
    #define VER_SUFFIX_A       "-U"
  #endif
#else
  #ifdef _DEBUG
    #define VER_SUFFIX      _T("-D")
    #define VER_SUFFIX_A       "-D"
  #else
    #define VER_SUFFIX
    #define VER_SUFFIX_A
  #endif
#endif

///////////////////////////////////////////////////////////////////////////////////////

#define VERSION_STR    _T(VERMAJOR_STR) _T(".") _T(VERINTER_STR) _T(".") _T(VERMINOR_STR) _T(".") _T(SVNREV_STR) VER_SUFFIX
#define VERSION_STR_A     VERMAJOR_STR     "."     VERINTER_STR     "."     VERMINOR_STR     "."     SVNREV_STR  VER_SUFFIX_A

///////////////////////////////////////////////////////////////////////////////////////
